import { t as e } from "./request-B-Pg79ns.mjs";
//#region src/api/modules/bpmTask/guanlihoutailiuchengrenwushili.ts
function t(t, n) {
	return e.Post("/bpm/task/approve", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function n(t, n) {
	return e.Post("/bpm/task/claim", {}, {
		params: { ...t },
		...n || {}
	});
}
function r(t, n) {
	return e.Post("/bpm/task/copy", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function i(t, n) {
	return e.Post("/bpm/task/create-sign", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function a(t, n) {
	return e.Post("/bpm/task/delegate", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function o(t, n) {
	return e.Post("/bpm/task/delete-sign", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function s(t, n) {
	return e.Post("/bpm/task/done-page", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function c(t, n) {
	return e.Get("/bpm/task/list-by-process-instance-id", {
		params: { ...t },
		...n || {}
	});
}
function l(t, n) {
	return e.Get("/bpm/task/list-by-return", {
		params: { ...t },
		...n || {}
	});
}
function u(t, n) {
	return e.Post("/bpm/task/manager-page", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function d(t, n) {
	return e.Post("/bpm/task/reject", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function f(t, n) {
	return e.Post("/bpm/task/return", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function p(t, n) {
	return e.Post("/bpm/task/todo-page", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
function m(t, n) {
	return e.Post("/bpm/task/transfer", t, {
		headers: { "Content-Type": "application/json" },
		...n || {}
	});
}
//#endregion
export { r as a, o as c, d, f, n as i, s as l, m, l as n, i as o, p, t as r, a as s, c as t, u };
